/*
    The source code contained within this file is protected under the
    laws of the United States of America and by International Treaty.
    Unless otherwise noted, the source contained herein is:

    Copyright (c)1990-1994 BecknerVision Inc - No Rights Reserved

    Written by John Wm Beckner
    BecknerVision Inc

        ** THIS FILE IS PUBLIC DOMAIN **

        ** Use of this code is at your own risk, absolutely no guarantees
        ** are made to its usefulness  - you must determine for yourself if
        ** this code is of any use to you.  If you do not agree with this, do
        ** not use this code. **
*/

#include "beckner.inc"
#include "set.ch"

////////////////
////////////////
//
// Purpose:
//    Returns the day of the year
//
// Syntax:
//    dDayOfYear([<dAny>]) -> nDay
//
// Formal Arguments: (1)
//    Name        Description
//    ___________ ____________
//    dAny        Any date [Date()]
//
// Returns:
//    nDay        Day # in year
//
// Examples:
//    #include "beckner.inc"
//    FUNCTION TestIt()
//       LOCAL dTest := CtoD("1/31/94")
//       ? dDayOfYear(dTest)     /* 31 */
//    ENDFUNCTION
//
// Files:
//    none
//
// Description:
//    Returns the day of the year from the date specified, which defaults to
//    the current system date.
//
// See Also:
//    dDaysGoneM()
//    dDaysGoneQ()
//
// Category:
//    Date Function
//
// Revisions:
//    01/26/94 Added comment blocks
//
////////////////
////////////////

FUNCTION dDayOfYear(dDate)
   DEFAULT dDate TO Date()
   RETURN dDate-CtoD('1.1.'+Str(Year(dDate)-Set(_SET_EPOCH), 2))+1
ENDFUNCTION
